Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002023 [DCSS] Source Cleanup minor have not tried 2010-07-19 19:57 2014-12-04 16:53
Reporter greensnark View Status public  
Assigned To wheals
Priority normal Resolution done  
Status resolved   Product Branch 0.8 ancient branch
Summary 0002023: Fix handling of shop items
Description Shop items are currently stored on the regular map item grid in column 0 for legacy reasons. This is quite fragile and has caused a lot of bugs in the past.

I propose we save shop items in the shop structs themselves, and load/save them accordingly. The changes needed should be quite minor.
Additional Information
Tags No tags attached.
Attached Files

- Relationships
has duplicate 0003315closeddue found a wand of polymorph in a wall 
has duplicate 0003619closedMarvinPA Off-map item 
has duplicate 0003900closedMarvinPA Message about items in shop being found 
has duplicate 0004053closedMarvinPA Item exists outside of map? 

-  Notes
(0014157)
phyphor (reporter)
2011-08-11 13:44

Just to confirm this happens outside vaults, as I got it on DL4.

"Found" an item that was pre-IDd but ctrl-f shows it in the wall, and it's the same as the item in a shop.
(0027970)
wheals (administrator)
2014-12-04 16:53

Less "quite minor" than I was hoping, but it is done :)

- Issue History
Date Modified Username Field Change
2010-07-19 19:57 greensnark New Issue
2011-03-31 19:18 jpeg Relationship added related to 0003315
2011-03-31 19:18 jpeg Relationship added related to 0003619
2011-08-11 13:41 MarvinPA Relationship added has duplicate 0003900
2011-08-11 13:41 MarvinPA Relationship added has duplicate 0004053
2011-08-11 13:42 MarvinPA Relationship replaced has duplicate 0003315
2011-08-11 13:42 MarvinPA Relationship replaced has duplicate 0003619
2011-08-11 13:44 phyphor Note Added: 0014157
2011-08-11 14:47 galehar Issue Monitored: galehar
2011-10-25 00:26 galehar Issue End Monitor: galehar
2014-12-04 16:53 wheals Note Added: 0027970
2014-12-04 16:53 wheals Status new => resolved
2014-12-04 16:53 wheals Fixed in Branch => 0.16 development branch
2014-12-04 16:53 wheals Resolution open => done
2014-12-04 16:53 wheals Assigned To => wheals


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker